﻿@model ALK.Models.Product

@{
    ViewBag.Title = "Details";
}

<h2></h2>

<div class="row">
    @foreach (var item in Model.ProductImages)
    {
        <div class="col-lg-3">

            <img src="@Url.Action("Content", "My", new { id = item.ImageId})" style="width:100%" />

        </div>
    }
</div>
<div>
    <h4></h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
        </dt>

        <dd>

        </dd>

        <dt>
            Product Name
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ProductName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Available)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Available)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Price)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Price)
        </dd>

        <dt>
            Seller
        </dt>

        <dd>
            @Html.DisplayFor(model => model.AspNetUser.DisplayName)
        </dd>

        <dt>
            Category
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Category.Title)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.Description)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Description)
        </dd>
        </dd>
    </dl>

    `
</div>

<p>
    <a style="margin-left:350px" class="btn btn-warning" href="@Url.Action("Buy", "ProductList", new { Price = Model.Price, ProductN = Model.ProductName, Count = Model.PCount, ProductId = Model.Id })">Buy</a>
</p>
<p>
    @Html.ActionLink("Back to Products", "Index")
</p>


@using (Html.BeginForm("AddComment", "ProductList", FormMethod.Post))
{
    <label for="Comments">Add Comments</label>
    <input type="hidden" id="id" name="id" value="@Model.Id" />
    <input type="text" id="content" name="content" style="height:35px;width:210px;border-radius:20px;border-color:lightgray;margin-left:15px;margin-right:15px;padding-left:20px;" placeholder="Your Comment" />
    <input type="submit" value="Create" class="btn btn-default" />
    <br>
    <br>
}
<br>
<br>




@foreach (var item in ViewBag.Comments)
{

    <div style="width:500px; height:35px;line-height:30px">
        <p style="margin-left:15px">
            @*<input type="text" name="Commenter"/>*@
            @item.AspNetUser.DisplayName |
            @*<input type="text" name="content" placeholder="Comment" />*@
            @item.CommentText
        </p>
    </div>
}




